For the complete documentation index, see llms.txt. This page is also available as Markdown.

DQ Job API

The DQ Job API allows you to manage and monitor DQ Jobs.

Run a DQ Job

post

Runs a DQ Job using pre-configured dataset definitions for a given dataset.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
datasetstringRequired

Value for dataset is Case Sensitive

runDatestring · date-timeRequired

Run id

runDateEndstring · date-timeOptional

Run id end

agentNamestringOptional

Agent name. If not provided, system expects NO_AGENT be configured

Responses
200

Returns the identifier of the executed job

jobIdinteger · int64Optional
jobUuidstring · uuidOptional
agentIdinteger · int32Optional
agentUuidstring · uuidOptional
datasetstringOptional
runIdstring · date-timeOptional
statusstringOptional
activitystringOptional
activityStatusstringOptional
cmdLinestringOptional
descriptionstringOptional
jobExceptionstringOptional
usernamestringOptional
updtTsstring · date-timeOptional
pidstringOptional
remoteJobIdstringOptional
notifiedinteger · int32Optional
startTimestring · date-timeOptional
agentJobIdinteger · int64Optional
agentJobUuidstring · uuidOptional
post/v3/jobs/run
POST /v3/jobs/run?dataset=text&runDate=2026-01-01T00%3A00%3A00.000Z HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "jobId": 1,
  "jobUuid": "123e4567-e89b-12d3-a456-426614174000",
  "agentId": 1,
  "agentUuid": "123e4567-e89b-12d3-a456-426614174000",
  "dataset": "text",
  "runId": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "activity": "text",
  "activityStatus": "text",
  "cmdLine": "text",
  "description": "text",
  "jobException": "text",
  "username": "text",
  "updtTs": "2026-01-01T00:00:00.000Z",
  "pid": "text",
  "remoteJobId": "text",
  "notified": 1,
  "startTime": "2026-01-01T00:00:00.000Z",
  "agentJobId": 1,
  "agentJobUuid": "123e4567-e89b-12d3-a456-426614174000"
}

Run a DQ Job from the command line

post

Runs a DQ Job from the command line using pre-configured dataset definitions for a given dataset

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
agentNamestringOptional

Agent name

Body
cmdLinestringRequired
Responses
200

Returns the identifier of the executed job

jobIdinteger · int64Optional
jobUuidstring · uuidOptional
agentIdinteger · int32Optional
agentUuidstring · uuidOptional
datasetstringOptional
runIdstring · date-timeOptional
statusstringOptional
activitystringOptional
activityStatusstringOptional
cmdLinestringOptional
descriptionstringOptional
jobExceptionstringOptional
usernamestringOptional
updtTsstring · date-timeOptional
pidstringOptional
remoteJobIdstringOptional
notifiedinteger · int32Optional
startTimestring · date-timeOptional
agentJobIdinteger · int64Optional
agentJobUuidstring · uuidOptional
post/v3/jobs/runCmdLine
POST /v3/jobs/runCmdLine HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "cmdLine": "text"
}
{
  "jobId": 1,
  "jobUuid": "123e4567-e89b-12d3-a456-426614174000",
  "agentId": 1,
  "agentUuid": "123e4567-e89b-12d3-a456-426614174000",
  "dataset": "text",
  "runId": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "activity": "text",
  "activityStatus": "text",
  "cmdLine": "text",
  "description": "text",
  "jobException": "text",
  "username": "text",
  "updtTs": "2026-01-01T00:00:00.000Z",
  "pid": "text",
  "remoteJobId": "text",
  "notified": 1,
  "startTime": "2026-01-01T00:00:00.000Z",
  "agentJobId": 1,
  "agentJobUuid": "123e4567-e89b-12d3-a456-426614174000"
}

Return a list of DQ Jobs

get

Returns a list of DQ Jobs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitinteger · int32Optional

The maximum number of jobs to return

startTimeBeginningstring · date-timeOptional

Lower bound of the start time of the job (inclusive)

startTimeEndstring · date-timeOptional

Upper bound of the start time of the job (inclusive)

updateTimeBeginningstring · date-timeOptional

Lower bound of the update time of the job (inclusive)

updateTimeEndstring · date-timeOptional

Upper bound of the update time of the job (inclusive)

Responses
200

Returns a list of jobs

jobIdinteger · int64Optional
jobUuidstring · uuidOptional
agentIdinteger · int32Optional
agentUuidstring · uuidOptional
datasetstringOptional
runIdstring · date-timeOptional
statusstringOptional
activitystringOptional
activityStatusstringOptional
cmdLinestringOptional
descriptionstringOptional
jobExceptionstringOptional
usernamestringOptional
updtTsstring · date-timeOptional
pidstringOptional
remoteJobIdstringOptional
notifiedinteger · int32Optional
startTimestring · date-timeOptional
agentJobIdinteger · int64Optional
agentJobUuidstring · uuidOptional
get/v3/jobs
GET /v3/jobs HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "jobId": 1,
    "jobUuid": "123e4567-e89b-12d3-a456-426614174000",
    "agentId": 1,
    "agentUuid": "123e4567-e89b-12d3-a456-426614174000",
    "dataset": "text",
    "runId": "2026-01-01T00:00:00.000Z",
    "status": "text",
    "activity": "text",
    "activityStatus": "text",
    "cmdLine": "text",
    "description": "text",
    "jobException": "text",
    "username": "text",
    "updtTs": "2026-01-01T00:00:00.000Z",
    "pid": "text",
    "remoteJobId": "text",
    "notified": 1,
    "startTime": "2026-01-01T00:00:00.000Z",
    "agentJobId": 1,
    "agentJobUuid": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Retrieve a DQ Job by its Job ID

get

Retrieves a DQ Job by its Job ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdinteger · int64Required

The identifier of the job to retrieve

Responses
200

Returns the job identified by jobId

jobIdinteger · int64Optional
jobUuidstring · uuidOptional
agentIdinteger · int32Optional
agentUuidstring · uuidOptional
datasetstringOptional
runIdstring · date-timeOptional
statusstringOptional
activitystringOptional
activityStatusstringOptional
cmdLinestringOptional
descriptionstringOptional
jobExceptionstringOptional
usernamestringOptional
updtTsstring · date-timeOptional
pidstringOptional
remoteJobIdstringOptional
notifiedinteger · int32Optional
startTimestring · date-timeOptional
agentJobIdinteger · int64Optional
agentJobUuidstring · uuidOptional
get/v3/jobs/{jobId}
GET /v3/jobs/{jobId} HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "jobId": 1,
  "jobUuid": "123e4567-e89b-12d3-a456-426614174000",
  "agentId": 1,
  "agentUuid": "123e4567-e89b-12d3-a456-426614174000",
  "dataset": "text",
  "runId": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "activity": "text",
  "activityStatus": "text",
  "cmdLine": "text",
  "description": "text",
  "jobException": "text",
  "username": "text",
  "updtTs": "2026-01-01T00:00:00.000Z",
  "pid": "text",
  "remoteJobId": "text",
  "notified": 1,
  "startTime": "2026-01-01T00:00:00.000Z",
  "agentJobId": 1,
  "agentJobUuid": "123e4567-e89b-12d3-a456-426614174000"
}

Wait for a DQ Job to complete

get

Wait for a DQ Job with a given Job ID to complete.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdinteger · int64Required

The identifier of the job to wait for completion

Responses
200

Returns the job identified by jobId

jobIdinteger · int64Optional
jobUuidstring · uuidOptional
agentIdinteger · int32Optional
agentUuidstring · uuidOptional
datasetstringOptional
runIdstring · date-timeOptional
statusstringOptional
activitystringOptional
activityStatusstringOptional
cmdLinestringOptional
descriptionstringOptional
jobExceptionstringOptional
usernamestringOptional
updtTsstring · date-timeOptional
pidstringOptional
remoteJobIdstringOptional
notifiedinteger · int32Optional
startTimestring · date-timeOptional
agentJobIdinteger · int64Optional
agentJobUuidstring · uuidOptional
get/v3/jobs/{jobId}/waitForCompletion
GET /v3/jobs/{jobId}/waitForCompletion HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "jobId": 1,
  "jobUuid": "123e4567-e89b-12d3-a456-426614174000",
  "agentId": 1,
  "agentUuid": "123e4567-e89b-12d3-a456-426614174000",
  "dataset": "text",
  "runId": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "activity": "text",
  "activityStatus": "text",
  "cmdLine": "text",
  "description": "text",
  "jobException": "text",
  "username": "text",
  "updtTs": "2026-01-01T00:00:00.000Z",
  "pid": "text",
  "remoteJobId": "text",
  "notified": 1,
  "startTime": "2026-01-01T00:00:00.000Z",
  "agentJobId": 1,
  "agentJobUuid": "123e4567-e89b-12d3-a456-426614174000"
}

Return DQ Job logs for a given dataset

get

Returns all DQ Job logs for a given dataset and run date.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdinteger · int64Required

The identifier of the job to retrieve the log

Responses
200

Returns all the logs of the job identified by jobId

logIdinteger · int64Optional
activitystringOptional
stagestringOptional
logDescstringOptional
logHintstringOptional
stagePerfTierstringOptional
stagePerfDescstringOptional
stageTimeinteger · int64Optional
prettyStageTimestringOptional
get/v3/jobs/{jobId}/logs
GET /v3/jobs/{jobId}/logs HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "logId": 1,
    "jobId": {
      "id": 1,
      "uuid": "123e4567-e89b-12d3-a456-426614174000"
    },
    "activity": "text",
    "stage": "text",
    "logDesc": "text",
    "logHint": "text",
    "stagePerfTier": "text",
    "stagePerfDesc": "text",
    "stageTime": 1,
    "prettyStageTime": "text"
  }
]

Return the findings of a DQ Job

get

Return the findings of a job with a given job ID, including outliers, rule breaks, and dupes.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdinteger · int64Required

The identifier of the job to retrieve the findings

Responses
200

Returns job findings (outliers, rule breaks, dupes) by jobId

datasetstringOptional
runIdstringOptional
runDatestring · date-timeOptional
rowsinteger · int64Optional
passFailinteger · int32Optional
passFailLimitinteger · int32Optional
peakinteger · int32Optional
dayOfWeekstringOptional
timeZonestringOptional
avgRowsinteger · int32Optional
colsinteger · int32Optional
activeRulesinteger · int32Optional
activeAlertsinteger · int32Optional
runTimestringOptional
shapeScoreinteger · int32Optional
dupeScoreinteger · int32Optional
patternScoreinteger · int32Optional
outlierScoreinteger · int32Optional
schemaScoreinteger · int32Optional
recordScoreinteger · int32Optional
ruleScoreinteger · int32Optional
sourceScoreinteger · int32Optional
behaviorScoreinteger · int32Optional
get/v3/jobs/{jobId}/findings
GET /v3/jobs/{jobId}/findings HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "dataset": "text",
  "runId": "text",
  "runDate": "2026-01-01T00:00:00.000Z",
  "rows": 1,
  "passFail": 1,
  "passFailLimit": 1,
  "peak": 1,
  "dayOfWeek": "text",
  "timeZone": "text",
  "avgRows": 1,
  "cols": 1,
  "activeRules": 1,
  "activeAlerts": 1,
  "runTime": "text",
  "dqItems": {
    "ANY_ADDITIONAL_PROPERTY": {
      "key": "text",
      "name": "text",
      "stndDev": 1,
      "zscore": 1,
      "mean": 1,
      "value": 1,
      "score": 1,
      "perChange": 1,
      "verbose": "text",
      "type": "text",
      "linkId": "text",
      "dqType": "text",
      "lbAbs": 1,
      "ubAbs": 1,
      "lbZscore": 1,
      "ubZscore": 1,
      "chartType": "text",
      "chartHistory": [
        [
          {}
        ]
      ],
      "chartHistoryRange": [
        [
          {}
        ]
      ],
      "chartHistoryPassFail": [
        [
          {}
        ]
      ],
      "chartHistoryPassFailString": [
        [
          {}
        ]
      ],
      "chartHistoryMean": [
        [
          {}
        ]
      ],
      "passFail": 1,
      "isManual": true,
      "isRootCause": true,
      "status": "text",
      "adaptiveTier": "text",
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "neverNegative": true,
      "manual": true,
      "rootCause": true
    }
  },
  "datashapes": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "colName": "text",
      "colFormat": "text",
      "colFormatCnt": 1,
      "owlRank": 1,
      "linkId": "text",
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "percent": 1,
      "rowCountTotal": 1,
      "definedSchema": "text",
      "shapePerColumn": 1
    }
  ],
  "observations": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "obsType": "text",
      "obs": "text",
      "obsKey": "text",
      "obsScore": 1,
      "owlRank": 1,
      "linkId": "text",
      "obsId": 1,
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "obsSubType": "text"
    }
  ],
  "outliers": [
    {
      "id": 1,
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "outKeyColumn": "text",
      "outKey": "text",
      "outColumn": "text",
      "outValue": "text",
      "obsSubType": "text",
      "outMedian": "text",
      "outCount": 1,
      "keyArr": [
        "text"
      ],
      "lb": 1,
      "ub": 1,
      "confidence": 1,
      "owlRank": 1,
      "linkId": "text",
      "linkIdArr": [
        "text"
      ],
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      }
    }
  ],
  "sources": [
    {
      "id": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "obsSubType": "text",
      "obsCount": 1,
      "counts": [
        {
          "id": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "validateSourceId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "assignmentId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "obsSubType": "text",
          "targetCount": 1,
          "sourceCount": 1,
          "confidence": 1
        }
      ],
      "schemas": [
        {
          "id": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "validateSourceId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "assignmentId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "obsSubType": "text",
          "targetColNm": "text",
          "targetColType": "text",
          "sourceColNm": "text",
          "sourceColType": "text",
          "confidence": 1
        }
      ],
      "values": [
        {
          "id": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "validateSourceId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "assignmentId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "obsSubType": "text",
          "keyColNm": "text",
          "keyColArr": [
            "text"
          ],
          "keyColValue": "text",
          "keyColValueArr": [
            "text"
          ],
          "targetColNm": "text",
          "sourceColNm": "text",
          "targetColValue": "text",
          "sourceColValue": "text",
          "targetSourceValue": "text",
          "targetLinkId": "text",
          "sourceLinkId": "text",
          "confidence": 1,
          "count": 1,
          "targetLinkIdArr": [
            "text"
          ],
          "sourceLinkIdArr": [
            "text"
          ]
        }
      ]
    }
  ],
  "patterns": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "obsType": "text",
      "obs": "text",
      "obsKey": "text",
      "obsScore": 1,
      "owlRank": 1,
      "linkId": "text",
      "obsId": 1,
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "obsSubType": "text"
    }
  ],
  "rules": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "ruleNm": "text",
      "ruleType": "text",
      "ruleValue": "text",
      "score": 1,
      "perc": 1,
      "exception": "text",
      "owlId": "text",
      "breakMsg": "text",
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "dimId": 1,
      "dimName": "text"
    }
  ],
  "alerts": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "alertNm": "text",
      "alertCond": "text",
      "alertFormat": "text",
      "alertFormatValue": "text",
      "alertMsg": "text",
      "alertOutputId": 1,
      "updtTs": "2026-01-01T00:00:00.000Z",
      "alertTypes": [
        "CONDITION"
      ]
    }
  ],
  "dupes": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "obsType": "text",
      "obs": "text",
      "obsKey": "text",
      "obsScore": 1,
      "owlRank": 1,
      "linkId": "text",
      "obsId": 1,
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "obsSubType": "text"
    }
  ],
  "shapeScore": 1,
  "dupeScore": 1,
  "patternScore": 1,
  "outlierScore": 1,
  "schemaScore": 1,
  "recordScore": 1,
  "ruleScore": 1,
  "sourceScore": 1,
  "behaviorScore": 1
}

Return a file of the shapes break records of a Pushdown DQ Job

get

Returns a JSON, CSV, or SQL file containing the shapes break records of a Pushdown DQ Job with a given Job ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdstringRequired

The identifier of the job to retrieve the findings

Query parameters
limitinteger · int32Optional

The maximum number of records to return

formatstringOptional

The format of the file to return. Default is CSV

Example: {"description":"CSV","value":"CSV"}
Responses
200

Returns all shape break records for the jobId

application/octet-stream
string · binaryOptional
get/v3/jobs/{jobId}/breaks/shapes
GET /v3/jobs/{jobId}/breaks/shapes HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Return a file of the rule break records of a Pushdown DQ Job

get

Returns a JSON, CSV, or SQL file containing the rule break records of a Pushdown DQ Job with a given Job ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdstringRequired

The identifier of the job to retrieve the findings

Query parameters
limitinteger · int32Optional

The maximum number of records to return

formatstringOptional

The format of the file to return. Default is CSV

Example: {"description":"CSV","value":"CSV"}
Responses
200

Returns all rule break records for the jobId

application/octet-stream
string · binaryOptional
get/v3/jobs/{jobId}/breaks/rules
GET /v3/jobs/{jobId}/breaks/rules HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Return a file of the outlier break records of a Pushdown DQ Job

get

Returns a JSON, CSV, or SQL file containing the outlier break records of a Pushdown DQ Job with a given Job ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdstringRequired

The identifier of the job to retrieve the findings

Query parameters
limitinteger · int32Optional

The maximum number of records to return

formatstringOptional

The format of the file to return. Default is CSV

Example: {"description":"CSV","value":"CSV"}
Responses
200

Returns all outlier break records for the jobId

application/octet-stream
string · binaryOptional
get/v3/jobs/{jobId}/breaks/outliers
GET /v3/jobs/{jobId}/breaks/outliers HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Return a file of the dupes break records of a Pushdown DQ Job

get

Return a JSON, CSV, or SQL file containing the dupes break records of a Pushdown DQ Job with a given Job ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdstringRequired

The identifier of the job to retrieve the findings

Query parameters
limitinteger · int32Optional

The maximum number of records to return

formatstringOptional

The format of the file to return. Default is CSV

Example: {"description":"CSV","value":"CSV"}
Responses
200

Returns all dupe break records for the jobId

application/octet-stream
string · binaryOptional
get/v3/jobs/{jobId}/breaks/dupes
GET /v3/jobs/{jobId}/breaks/dupes HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Return all DQ Job logs for a given dataset and run date

get

Returns all DQ Job logs for a given dataset and run date. Pre-authorization requirements:

  • hasDatasetAccess(#dataset)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datasetstringRequired

Dataset name

runDatestring · date-timeRequired

Run id

Responses
200

Returns all the logs of the job identified by dataset and runDate pair

logIdinteger · int64Optional
activitystringOptional
stagestringOptional
logDescstringOptional
logHintstringOptional
stagePerfTierstringOptional
stagePerfDescstringOptional
stageTimeinteger · int64Optional
prettyStageTimestringOptional
get/v3/jobs/{dataset}/{runDate}/logs
GET /v3/jobs/{dataset}/{runDate}/logs HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "logId": 1,
    "jobId": {
      "id": 1,
      "uuid": "123e4567-e89b-12d3-a456-426614174000"
    },
    "activity": "text",
    "stage": "text",
    "logDesc": "text",
    "logHint": "text",
    "stagePerfTier": "text",
    "stagePerfDesc": "text",
    "stageTime": 1,
    "prettyStageTime": "text"
  }
]

Return the findings for a given dataset and run date

get

Returns the findings, including outliers, rule breaks, and dupes, for a given dataset and run date. Pre-authorization requirements:

  • hasDatasetAccess(#dataset)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datasetstringRequired

Dataset name

runDatestring · date-timeRequired

Run id

Responses
200

Returns job findings (outliers, rule breaks, dupes) by dataset and runDate

datasetstringOptional
runIdstringOptional
runDatestring · date-timeOptional
rowsinteger · int64Optional
passFailinteger · int32Optional
passFailLimitinteger · int32Optional
peakinteger · int32Optional
dayOfWeekstringOptional
timeZonestringOptional
avgRowsinteger · int32Optional
colsinteger · int32Optional
activeRulesinteger · int32Optional
activeAlertsinteger · int32Optional
runTimestringOptional
shapeScoreinteger · int32Optional
dupeScoreinteger · int32Optional
patternScoreinteger · int32Optional
outlierScoreinteger · int32Optional
schemaScoreinteger · int32Optional
recordScoreinteger · int32Optional
ruleScoreinteger · int32Optional
sourceScoreinteger · int32Optional
behaviorScoreinteger · int32Optional
get/v3/jobs/{dataset}/{runDate}/findings
GET /v3/jobs/{dataset}/{runDate}/findings HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "dataset": "text",
  "runId": "text",
  "runDate": "2026-01-01T00:00:00.000Z",
  "rows": 1,
  "passFail": 1,
  "passFailLimit": 1,
  "peak": 1,
  "dayOfWeek": "text",
  "timeZone": "text",
  "avgRows": 1,
  "cols": 1,
  "activeRules": 1,
  "activeAlerts": 1,
  "runTime": "text",
  "dqItems": {
    "ANY_ADDITIONAL_PROPERTY": {
      "key": "text",
      "name": "text",
      "stndDev": 1,
      "zscore": 1,
      "mean": 1,
      "value": 1,
      "score": 1,
      "perChange": 1,
      "verbose": "text",
      "type": "text",
      "linkId": "text",
      "dqType": "text",
      "lbAbs": 1,
      "ubAbs": 1,
      "lbZscore": 1,
      "ubZscore": 1,
      "chartType": "text",
      "chartHistory": [
        [
          {}
        ]
      ],
      "chartHistoryRange": [
        [
          {}
        ]
      ],
      "chartHistoryPassFail": [
        [
          {}
        ]
      ],
      "chartHistoryPassFailString": [
        [
          {}
        ]
      ],
      "chartHistoryMean": [
        [
          {}
        ]
      ],
      "passFail": 1,
      "isManual": true,
      "isRootCause": true,
      "status": "text",
      "adaptiveTier": "text",
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "neverNegative": true,
      "manual": true,
      "rootCause": true
    }
  },
  "datashapes": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "colName": "text",
      "colFormat": "text",
      "colFormatCnt": 1,
      "owlRank": 1,
      "linkId": "text",
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "percent": 1,
      "rowCountTotal": 1,
      "definedSchema": "text",
      "shapePerColumn": 1
    }
  ],
  "observations": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "obsType": "text",
      "obs": "text",
      "obsKey": "text",
      "obsScore": 1,
      "owlRank": 1,
      "linkId": "text",
      "obsId": 1,
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "obsSubType": "text"
    }
  ],
  "outliers": [
    {
      "id": 1,
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "outKeyColumn": "text",
      "outKey": "text",
      "outColumn": "text",
      "outValue": "text",
      "obsSubType": "text",
      "outMedian": "text",
      "outCount": 1,
      "keyArr": [
        "text"
      ],
      "lb": 1,
      "ub": 1,
      "confidence": 1,
      "owlRank": 1,
      "linkId": "text",
      "linkIdArr": [
        "text"
      ],
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      }
    }
  ],
  "sources": [
    {
      "id": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "obsSubType": "text",
      "obsCount": 1,
      "counts": [
        {
          "id": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "validateSourceId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "assignmentId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "obsSubType": "text",
          "targetCount": 1,
          "sourceCount": 1,
          "confidence": 1
        }
      ],
      "schemas": [
        {
          "id": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "validateSourceId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "assignmentId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "obsSubType": "text",
          "targetColNm": "text",
          "targetColType": "text",
          "sourceColNm": "text",
          "sourceColType": "text",
          "confidence": 1
        }
      ],
      "values": [
        {
          "id": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "validateSourceId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "assignmentId": {
            "id": 1,
            "uuid": "123e4567-e89b-12d3-a456-426614174000"
          },
          "obsSubType": "text",
          "keyColNm": "text",
          "keyColArr": [
            "text"
          ],
          "keyColValue": "text",
          "keyColValueArr": [
            "text"
          ],
          "targetColNm": "text",
          "sourceColNm": "text",
          "targetColValue": "text",
          "sourceColValue": "text",
          "targetSourceValue": "text",
          "targetLinkId": "text",
          "sourceLinkId": "text",
          "confidence": 1,
          "count": 1,
          "targetLinkIdArr": [
            "text"
          ],
          "sourceLinkIdArr": [
            "text"
          ]
        }
      ]
    }
  ],
  "patterns": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "obsType": "text",
      "obs": "text",
      "obsKey": "text",
      "obsScore": 1,
      "owlRank": 1,
      "linkId": "text",
      "obsId": 1,
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "obsSubType": "text"
    }
  ],
  "rules": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "ruleNm": "text",
      "ruleType": "text",
      "ruleValue": "text",
      "score": 1,
      "perc": 1,
      "exception": "text",
      "owlId": "text",
      "breakMsg": "text",
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "dimId": 1,
      "dimName": "text"
    }
  ],
  "alerts": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "alertNm": "text",
      "alertCond": "text",
      "alertFormat": "text",
      "alertFormatValue": "text",
      "alertMsg": "text",
      "alertOutputId": 1,
      "updtTs": "2026-01-01T00:00:00.000Z",
      "alertTypes": [
        "CONDITION"
      ]
    }
  ],
  "dupes": [
    {
      "dataset": "text",
      "runId": "2026-01-01T00:00:00.000Z",
      "obsType": "text",
      "obs": "text",
      "obsKey": "text",
      "obsScore": 1,
      "owlRank": 1,
      "linkId": "text",
      "obsId": 1,
      "assignmentId": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      },
      "obsSubType": "text"
    }
  ],
  "shapeScore": 1,
  "dupeScore": 1,
  "patternScore": 1,
  "outlierScore": 1,
  "schemaScore": 1,
  "recordScore": 1,
  "ruleScore": 1,
  "sourceScore": 1,
  "behaviorScore": 1
}

Return a file of the shapes break records of a Pushdown job with a given dataset name and run date

get

Returns a JSON, CSV, or SQL file containing the shapes break records of a Pushdown DQ Job with a given dataset name and run date. Pre-authorization requirements:

  • hasDatasetAccess(#dataset)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datasetstringRequired

Dataset name

runDatestring · date-timeRequired

Run id

Query parameters
limitinteger · int32Optional

The maximum number of records to return

formatstringOptional

The format of the file to return. Default is CSV

Example: {"description":"CSV","value":"CSV"}
Responses
200

Returns all shape break records for the job corresponding to the dataset and runDate

application/octet-stream
string · binaryOptional
get/v3/jobs/{dataset}/{runDate}/breaks/shapes
GET /v3/jobs/{dataset}/{runDate}/breaks/shapes HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Return a file of the rule break records of a Pushdown DQ Job with a given dataset name and run date

get

Returns a JSON, CSV, or SQL file containing the rule break records of a Pushdown DQ Job with a given dataset name and run date. Pre-authorization requirements:

  • hasDatasetAccess(#dataset)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datasetstringRequired

Dataset name

runDatestring · date-timeRequired

Run id

Query parameters
limitinteger · int32Optional

The maximum number of records to return

formatstringOptional

The format of the file to return. Default is CSV

Example: {"description":"CSV","value":"CSV"}
Responses
200

Returns all rule break records for the job corresponding to the dataset and runDate

application/octet-stream
string · binaryOptional
get/v3/jobs/{dataset}/{runDate}/breaks/rules
GET /v3/jobs/{dataset}/{runDate}/breaks/rules HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Return a file of the outliers break records of a Pushdown DQ Job with a given dataset name and run date

get

Returns a JSON, CSV, or SQL file containing the outliers break records of a Pushdown DQ Job with a given dataset name and run date. Pre-authorization requirements:

  • hasDatasetAccess(#dataset)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datasetstringRequired

Dataset name

runDatestring · date-timeRequired

Run id

Query parameters
limitinteger · int32Optional

The maximum number of records to return

formatstringOptional

The format of the file to return. Default is CSV

Example: {"description":"CSV","value":"CSV"}
Responses
200

Returns all outlier break records for the job corresponding to the dataset and runDate

application/octet-stream
string · binaryOptional
get/v3/jobs/{dataset}/{runDate}/breaks/outliers
GET /v3/jobs/{dataset}/{runDate}/breaks/outliers HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Return a file of the dupes break records of a Pushdown DQ Job with a given dataset name and run date

get

Returns a JSON, CSV, or SQL file containing the dupes break records of a Pushdown DQ Job with a given dataset name and run date. Pre-authorization requirements:

  • hasDatasetAccess(#dataset)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datasetstringRequired

Dataset name

runDatestring · date-timeRequired

Run id

Query parameters
limitinteger · int32Optional

The maximum number of records to return

formatstringOptional

The format of the file to return. Default is CSV

Example: {"description":"CSV","value":"CSV"}
Responses
200

Returns all dupe break records for the job corresponding to the dataset and runDate

application/octet-stream
string · binaryOptional
get/v3/jobs/{dataset}/{runDate}/breaks/dupes
GET /v3/jobs/{dataset}/{runDate}/breaks/dupes HTTP/1.1
Host: <host-name>
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Last updated

Was this helpful?